type Listener<TEventArgs extends any[]> = (...args: TEventArgs) => void;
/**
 * Обычный event emitter
 */
export declare class EventClass<TEventArgs extends any[]> {
    listeners: Listener<TEventArgs>[];
    count: number;
    raise(...args: TEventArgs): void;
    on(listener: Listener<TEventArgs>): () => void;
    once(listener: Listener<TEventArgs>): void;
    off(listener: Listener<TEventArgs>): void;
    removeAllListeners(): void;
}
export declare const SharedEventBus: {
    tinkoff_payment_toggle: EventClass<[visible: boolean]>;
    show_toast: EventClass<[msg: string]>;
    schedule_push_notification: EventClass<any[]>;
    tinkoff_get_subscriptions: EventClass<any[]>;
    open_buy_error_popup: EventClass<any[]>;
    run_previous_buying_attempt: EventClass<any[]>;
    request_subscriptions: EventClass<any[]>;
    tinkoff_subscriptions_update: EventClass<[products: ({
        MarketID: string;
        Price: number;
        Type: number;
    } & {
        TargetMarketPlatform?: number | null | undefined;
        LocalizedPrice?: string | null | undefined;
        Currency?: string | null | undefined;
        MarketProduct?: {
            definition?: {
                id?: string | null | undefined;
                storeSpecificId?: string | null | undefined;
                type?: number | null | undefined;
                enabled?: boolean | null | undefined;
                payouts?: string[] | null | undefined;
            } | undefined;
            metadata?: {
                localizedPriceString?: string | undefined;
                localizedTitle?: string | undefined;
                localizedDescription?: string | null | undefined;
                isoCurrencyCode?: string | undefined;
                localizedPrice?: number | undefined;
            } | undefined;
            availableToPurchase?: boolean | null | undefined;
            transactionID?: string | null | undefined;
            receipt?: string | null | undefined;
        } | null | undefined;
        SubscriptionTimeType?: number | undefined;
        Duration?: string | null | undefined;
        ServerMonths?: number | null | undefined;
        IntroductoryLocalizedPrice?: string | null | undefined;
        TrialString?: string | null | undefined;
        DiscountString?: string | null | undefined;
        IntroductoryPrice?: string | null | undefined;
        IsTrialOrIntroPeriodPassed?: boolean | null | undefined;
        SubscriptionGroupId?: number | null | undefined;
        IntroductoryPricePeriod?: string | null | undefined;
        FreeTrialPeriod?: string | null | undefined;
        IsProductIntroOrTrial?: boolean | null | undefined;
        FreeTrialPeriodNative?: string | null | undefined;
        IntroductoryPricePeriodNative?: string | null | undefined;
        Description?: {
            en: string;
            ru: string;
        } | null | undefined;
    })[]]>;
    unity_focus_changed: EventClass<[active: boolean]>;
    yandex_landing_opened: EventClass<any[]>;
};
export {};
//# sourceMappingURL=eventClass.d.ts.map