type TinkoffApiResponse = {
    Success: boolean;
    ErrorCode: string;
    TerminalKey: string;
    Status: 'CANCELED' | 'REJECTED' | 'CONFIRMED' | 'REFUNDED' | 'REVERSED' | 'DEADLINE_EXPIRED';
    PaymentId: number;
    OrderId: string;
    Details: string;
    Message: string;
};
type CardType = {
    CardId: string;
    Pan: string;
    Status: 'I' | 'A' | 'D';
    RebillId: string;
    CardType: 0 | 1 | 2;
    ExpDate: string;
};
export declare const TinkoffApi: {
    getPaymentState: (props: {
        TerminalKey: string;
        PaymentId: number;
        Token: string;
    }) => Promise<import("axios").AxiosResponse<TinkoffApiResponse & {
        Message: string;
        Amount: number;
    }, any>>;
    init: (props: {
        TerminalKey: string;
        Amount: number;
        OrderId: string;
        Description: string;
        Language: 'ru' | 'en';
        CustomerKey: string;
        Recurrent?: 'Y';
        DATA: {
            DefaultCard?: number;
            Email?: string;
        };
    }) => Promise<import("axios").AxiosResponse<TinkoffApiResponse & {
        PaymentURL: string;
        Amount: number;
    }, any>>;
    getCardList: (props: {
        TerminalKey: string;
        CustomerKey: string;
        Token: string;
    }) => Promise<import("axios").AxiosResponse<CardType[], any>>;
};
export {};
//# sourceMappingURL=http.d.ts.map