import { AvailableSubscriptionProducts, Initialize, PaywallBuyText, TariffProps, YandexSub } from "@zebrainy/front-types";
export type TariffDict = {
    pricePeriod: string;
    trialText: string;
    description: (n: number) => string;
    saleText: string;
    tariffIntroInfo: {
        descInfo: (duration: string, sale: number) => string;
        remainingText: string;
    };
};
type GetTaruffProps = {
    subIdx: number;
    sale?: boolean;
    tariffDictionary: TariffDict;
    subscriptionProducts: AvailableSubscriptionProducts[];
    parentsCount: number[];
};
type BtnLabelsType = {
    os: Initialize["os"];
    text: PaywallBuyText;
    sub: AvailableSubscriptionProducts;
    dict: {
        btnLabel: (text: PaywallBuyText, price: string) => string;
        btnSubLabel: (os: Initialize["os"]) => string;
        btnTrial: (os: Initialize["os"], price: string) => string;
    };
};
export declare const parsePrice: (sub: AvailableSubscriptionProducts) => number;
type getOneOfferButtonLabelsProps = {
    trialLabel: string;
    introLabel: string;
    regularLabel: string;
    trialSubLabel: string;
    introSubLabel: string;
    year: string;
    month: string;
};
type getPlanProps = {
    title: string;
    body: string;
    caption: string;
};
export declare const parseCurrency: (sub: AvailableSubscriptionProducts) => string | null | undefined;
export declare const twoStepsPaywall: {
    getPlanProps: (sub: AvailableSubscriptionProducts, period: {
        month: string;
        year: string;
    }, titleEnd: string, bodyEnd: string, captionEnd: string, mapMonthToPeriod: Record<string, string>) => Omit<getPlanProps, "body"> & {
        body: string[];
    };
    getBtnLabel: (sub: AvailableSubscriptionProducts, trialText: string, defaultText: string) => string;
    getFirstPlanPrice: (sub: AvailableSubscriptionProducts, period: {
        month: string;
        year: string;
    }, mapMonthToPeriod: Record<string, string>) => string;
    getTrialExpirationDay: (trialDuration: number) => string;
};
export declare const paywall: {
    getPaywallHeaderTitle: (productType: number, discount: string, trialCount: string) => {
        value: string;
        type: string;
    };
    getOneOfferButtonLabels: (sub: AvailableSubscriptionProducts, params: getOneOfferButtonLabelsProps) => {
        label: string;
        subLabel: string;
    };
    getTariffComponent: (params: GetTaruffProps) => TariffProps;
    getBtnLabels: ({ dict, os, text, sub, }: BtnLabelsType) => {
        label: string;
        subLabel: string;
    };
};
export declare const parseIntroPrice: (sub: AvailableSubscriptionProducts) => string;
export declare const calculateIntroSalePercent: (sub?: AvailableSubscriptionProducts) => number;
export declare const calculateProfitPercentBetweenTwoSubs: (sub1: AvailableSubscriptionProducts, sub2: AvailableSubscriptionProducts) => number;
export declare const yandexPaywall: {
    getTrialExpirationDay: (offerType: YandexSub["offer_type"], trialDurationISO: string, datePerios: Record<string, string>) => string;
};
export {};
//# sourceMappingURL=paywall.d.ts.map